package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 直播预约记录(ImLiveRoomReservation)表实体类
 *
 * @author hgw
 * @since 2022-05-24 14:54:05
 */
@ApiModel(value = "im_live_room_reservation-直播预约记录")
public class ImLiveRoomReservation implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("room_uid_")
    @ApiModelProperty(value = "直播间uid")
    private String roomUid;

    @TableField("user_id_")
    @ApiModelProperty(value = "预约的用户id")
    private Integer userId;

    @TableField("push_state_")
    @ApiModelProperty(value = "未推送-1 推送状态 0推送完成 1推送失败")
    private Integer pushState;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getPushState() {
        return pushState;
    }

    public void setPushState(Integer pushState) {
        this.pushState = pushState;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }


}

